/// <reference types="node" />
import * as fs from "fs";
declare type WatchOptions = {
    persistent?: boolean;
    interval?: number;
    recursive?: boolean;
    include?: any;
    exclude?: any;
    initial?: boolean;
};
declare type WatchListener = (filename: any, previous: fs.Stats, current: fs.Stats, change: WatchChange) => void;
declare type WatchChange = "initial" | "deleted" | "created" | "modified";
export default function watchDirectory(dirname: any, options: WatchOptions, listener: WatchListener): () => void;
export {};
